<template>
	<div class="pc-d1 diy_pc-box"
		:style="{'background':item.background_image?'linear-gradient(to top,rgba(255, 255, 255, 1), rgba(255, 255, 255, 0.3)), url('+item.background_image+') repeat-y left top/100% auto':''}">
		<div class="content">
			<div class="middle_title-one">
				<div class="big-title">
					<p class="big_cn-title">{{item.data.title}}</p>
					<p class="big_en-title " v-if="item.data.sub_title">—{{item.data.sub_title}}—</p>
				</div>
				<div class="more_btn-box">
					<p class="more-btn" @click.stop="splicingUrl('index/customview/index',['id'],[item.data.id])">MORE｜更多</p>
				</div>
			</div>
			<div class="swiper-box">
				<div class="d1-swiper swiper_info">
					<div class="swiper-wrapper">
						<div class="swiper-slide" v-for="(caseinfo,caseindex) in item.data.item_list" :key="caseindex">
							<div class="case_info-box">
								<div class="case_image-box">
									<img :src="caseinfo.image+'?x-oss-process=image/resize,m_fill,w_546,h_510,limit_0/quality,q_100'" class="case-image" />
								</div>
								<div class="case_text-box">
									<p class="case_title">{{caseinfo.title}}</p>
								</div>
								<div class="info_btn-box">
									<button class="info-btn">more</button>
								</div>
							</div>
						</div>
					</div>
				</div>
				<div class="d1-swiper-button-prev swiper-prev">
					<span class="am-icon-angle-left"></span>
				</div>
				<div class="d1-swiper-button-next swiper-next">
					<span class="am-icon-angle-right"></span>
				</div>
			</div>
		</div>
	</div>
</template>

<script>
	module.exports = {
		name: 'pcd1',
		data() {
			return {
				currency: currency,
			}
		},
		props: {
			item: {
				type: Object,
				default: () => {}
			},
		},
		mounted() {
			this.InitSwiper("d1")
		},
		methods: {
			splicingUrl(searchurl, paramName, param) {
				splicingUrl(searchurl, paramName, param,'blank');
			},
			goUrl(url) {
				goUrlBlank(url);
			},
			InitSwiper(swiperid) {
				let _that = this;
				let domclass = `.d1-swiper`;
				let swiperPrevBtn = `.d1-swiper-button-prev`;
				let swiperNextBtn = `.d1-swiper-button-next`;
				new Swiper(domclass, {
					speed: 400,
					loop: true,
					slidesPerView: 3,
					spaceBetween: '3.27%',
					centeredSlides: true,
					centeredSlidesBounds: true,
					autoplay: {
						delay: 3000,
						disableOnInteraction: false,
					},
					navigation: {
						nextEl: swiperNextBtn,
						prevEl: swiperPrevBtn,
					},
					on: {
						click: function() {
							let initIndex = this.clickedIndex - this.activeIndex + this.realIndex
							let index = initIndex >= _that.item.data.item_list.length ? initIndex - _that.item.data.item_list.length : initIndex
							_that.goUrl(_that.item.data.item_list[index].event_value);
						}
					}
				})
			},
		}
	}
</script>